package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.FollowUpRecord;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FollowUpRecordBo implements Serializable {
    private String recordId;
    private String way;
    private String content;
    private String person;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date followTime;

    public FollowUpRecordBo() {
    }

    public FollowUpRecordBo(FollowUpRecord record) {
        this.recordId = record.getRecordId();
        this.way = record.getFollowWay();
        this.content = record.getFollowContent();
        this.person = record.getFollowPerson();
        this.followTime = record.getFollowTime();
    }
}
